summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Yth - Arnaud <yth@ythogtha.org>2017-10-14 14:35:42 +0100
committer David Spencer <idlemoor@slackbuilds.org>2017-10-14 14:47:01 +0100
commitdca9db2da421b5c07bcc617f66cc1cc8c863cf4a (patch)
tree12e7579c092a4035d2a4d7460e6796513a52c61d /games
parentd26667dd4c0de3053725522f0eb40ecccf10afab (diff)
downloadslackbuilds-dca9db2da421b5c07bcc617f66cc1cc8c863cf4a.tar.gz
slackbuilds-dca9db2da421b5c07bcc617f66cc1cc8c863cf4a.tar.xz
games/planetblupi: Added (port of Epsitec SA 1997).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/planetblupi/README10
-rw-r--r--games/planetblupi/doinst.sh5
-rw-r--r--games/planetblupi/planetblupi.SlackBuild97
-rw-r--r--games/planetblupi/planetblupi.info10
-rw-r--r--games/planetblupi/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/games/planetblupi/README b/games/planetblupi/README
new file mode 100644
index 0000000000..e309eb59be
--- /dev/null
+++ b/games/planetblupi/README
@@ -0,0 +1,10 @@
+Planet-Blupi is a modern port of the Epsitec SA 1997 game.
+
+It features a little yellow guy called Blupi in an adventure game with
+RTS features.
+
+Blupi lives happily in his little planet when a strange meteorite
+crashes in a desert. Later Blupi discovers huge spiders trashing his
+plantations. The meteorite was a strange robot's spacecraft! And it's
+building factories, which produces different kind of invading enemies.
+Blupi needs to fight to defend his home planet...
diff --git a/games/planetblupi/doinst.sh b/games/planetblupi/doinst.sh
new file mode 100644
index 0000000000..4110f5514d
--- /dev/null
+++ b/games/planetblupi/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/planetblupi/planetblupi.SlackBuild b/games/planetblupi/planetblupi.SlackBuild
new file mode 100644
index 0000000000..853f3b4c6e
--- /dev/null
+++ b/games/planetblupi/planetblupi.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+# Slackware build script for planetblupi
+#
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=planetblupi
+VERSION=${VERSION:-1.11.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README.md LICENSE"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/planetblupi/planetblupi.info b/games/planetblupi/planetblupi.info
new file mode 100644
index 0000000000..6507104f45
--- /dev/null
+++ b/games/planetblupi/planetblupi.info
@@ -0,0 +1,10 @@
+PRGNAM="planetblupi"
+VERSION="1.11.0"
+HOMEPAGE="http://www.blupi.org/"
+DOWNLOAD="https://github.com/blupi-games/planetblupi/archive/v1.11.0/planetblupi-1.11.0.tar.gz"
+MD5SUM="33ba59b60ef058d1b7930e8ec06a9d60"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="argagg SDL2 SDL2_image SDL2_mixer SDL_kitchensink"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/games/planetblupi/slack-desc b/games/planetblupi/slack-desc
new file mode 100644
index 0000000000..2396d3be25
--- /dev/null
+++ b/games/planetblupi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+planetblupi: planetblupi (port of Epsitec SA 1997)
+planetblupi:
+planetblupi: Planet-Blupi is a modern port of the Epsitec SA 1997 game.
+planetblupi:
+planetblupi: It features a little yellow guy called Blupi in an adventure game
+planetblupi: with RTS features.
+planetblupi:
+planetblupi: Blupi lives happily in his little planet when a strange meteorite
+planetblupi: crashes in a desert. Later Blupi discovers huge spiders trashing his
+planetblupi: plantations.
+planetblupi: